!FEMのたわみを読み込んでせん断補正係数kを逆算するプログラム
implicit real*8(a-h,o-z)
!dimension x(500000),y(500000),z(500000)
!入力するファイルの名前
open(8,file='tawami.dat')
!出力するファイルの名前
open (7,file='gyakuk.dat')
!数値(断面に応じて変えること！)
ell=2.0d0
poason=0.3
p=1.0d3
young=206.0d9
!全体の幅
b=1.0d-2
!全体の高さ
h=0.0
!左右の板厚
t=1.0d-3
!上下の板厚
t1=1.0d-3
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!中
do i2=100,490,10
h=h+1.0d-2
b1=b-2*t
h1=h-2*t1
sendandansei=young/(2*(1+poa))
danmenniji=((b*h**3)-(b1*h1**3))/12.0d0
danmenseki=(b*h)-(b1*h1)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
read(8,*) ai,suti
tawami=((p*ell**3.d0)/(3.d0*young*danmenniji))
hosei=(p/(sendandansei*danmenseki))*(ell/(suti-tawami))
hb=h/b
write(7,'(1pe13.5,a,1pe13.5)') hb,' ',hosei
end do
close(8)
close(7)
end 
